Subject: bug#25624: [PATCH] timeout: Fix signal race in SIGALRM handling

From: Paul Eggert <[email-masked]>
Date: Sun, 5 Feb 2017 10:26:35 -0800

Pádraig Brady wrote:
> In general this is a largely theoretical race right?
> I.E. pids would need to be recycled between the waitpid() and exit()?

Not that theoretical, in the common case of systems with wraparaound PIDs and a 
small PID space. All you need is a long-running child on a busy system.